libzypp: zypp_private::repo Namespace Reference

libzypp 17.38.14

zypp_private::repo Namespace Reference

## Classes
struct | Monitor
class | PluginRepoverification
| Repository metadata verification beyond GPG. More...
class | PluginRepoverificationCheckException
| Exceptiontype thrown if a plugins verification fails. More...

## Functions
std::ostream & | operator<< (std::ostream &str, const PluginRepoverification::Impl &obj)
| relates: PluginRepoverification::Impl Stream output
std::ostream & | dumpOn (std::ostream &str, const PluginRepoverification::Impl &obj)
| relates: PluginRepoverification::Impl Verbose stream output
std::ostream & | operator<< (std::ostream &str, const PluginRepoverification &obj)
| relates: PluginRepoverification Stream output
std::ostream & | dumpOn (std::ostream &str, const PluginRepoverification &obj)
bool | operator== (const PluginRepoverification &lhs, const PluginRepoverification &rhs)
| relates: PluginRepoverification
std::ostream & | dumOn (std::ostream &str, const PluginRepoverification &obj)
| relates: PluginRepoverification Verbose stream output
bool | operator!= (const PluginRepoverification &lhs, const PluginRepoverification &rhs)
| relates: PluginRepoverification

## Function Documentation

## ◆ operator<<() [1/2]

std::ostream & zypp_private::repo::operator<< | ( | std::ostream & | str,
|  | const PluginRepoverification::Impl & | obj )
| inline

relates: PluginRepoverification::Impl Stream output

Definition at line 252 of file PluginRepoverification.cc.

## ◆ dumpOn() [1/2]

std::ostream & zypp_private::repo::dumpOn | ( | std::ostream & | str,
|  | const PluginRepoverification::Impl & | obj )
| inline

relates: PluginRepoverification::Impl Verbose stream output

Definition at line 256 of file PluginRepoverification.cc.

## ◆ operator<<() [2/2]

std::ostream & zypp_private::repo::operator<< | ( | std::ostream & | str,
|  | const PluginRepoverification & | obj )

relates: PluginRepoverification Stream output

Definition at line 288 of file PluginRepoverification.cc.

## ◆ dumpOn() [2/2]

std::ostream & zypp_private::repo::dumpOn | ( | std::ostream & | str,
|  | const PluginRepoverification & | obj )

Definition at line 291 of file PluginRepoverification.cc.

## ◆ operator==()

bool zypp_private::repo::operator== | ( | const PluginRepoverification & | lhs,
|  | const PluginRepoverification & | rhs )

relates: PluginRepoverification

Definition at line 294 of file PluginRepoverification.cc.

## ◆ dumOn()

std::ostream & zypp_private::repo::dumOn | ( | std::ostream & | str,
|  | const PluginRepoverification & | obj )

relates: PluginRepoverification Verbose stream output

## ◆ operator!=()

bool zypp_private::repo::operator!= | ( | const PluginRepoverification & | lhs,
|  | const PluginRepoverification & | rhs )
| inline

relates: PluginRepoverification

Definition at line 121 of file PluginRepoverification.h.